Gajim - 2018-02-02


  1. pitchum the last commit on master broke my gajim I've dropped a comment on dev.gajim.org to help debbugging but I'm not sure someone will notice https://dev.gajim.org/gajim/gajim/commit/9ed0edf331e8163529ebe26eca3c588da072a326#note_182626
  2. pitchum last
  3. bot Daniel updated a merge request for _gajim/master_ < https://dev.gajim.org/gajim/gajim/merge_requests/202 >: Add navigation for chat history
  4. bot Daniel updated a merge request for _gajim-plugins/master_ < https://dev.gajim.org/gajim/gajim-plugins/merge_requests/60 >: WIP: [plugin_installer] Add plugin auto update
  5. lovetox thanks pitchum, i will look at it in the evening
  6. zuglufttier I'm getting a warning in gajim: gajim.avatar: Pillow convert failed:
  7. zuglufttier Looks like a python problem but what exactly? :D
  8. lovetox du you have pillow installed?
  9. zuglufttier Yep.
  10. lovetox is there more of that error message?
  11. zuglufttier That's all: (W) gajim.avatar Pillow convert failed: d84838a0aa690aca7adc5d1b98e2fc5dea494c84
  12. lovetox start gajim with -l gajim.avatar=DEBUG
  13. lovetox then we get the causing error
  14. zuglufttier OK, this is it: https://paste.dismail.de/?f50412ae243eb51b#wKhNp/OqcZJ/ZA0CrpomCXomGtTEnDLaWmgcntk5+io=
  15. lovetox hm i forgot pillow is not enough .. you need the webp libs
  16. zuglufttier In python?
  17. zuglufttier Do you know how it's called?
  18. lovetox i should probably add this to the readme
  19. lovetox let me have a look
  20. zuglufttier I'll post my Pipfile in a second, if that works.
  21. lovetox https://packages.debian.org/jessie/webp
  22. lovetox try that
  23. zuglufttier I'm trying FreeBSD...
  24. lovetox either way you need the webp libs installed
  25. lovetox thats probably the reason why it cant recognize the file format
  26. lovetox and its most likely a contact having a webp avater
  27. zuglufttier Yes, looks like it.
  28. zuglufttier OK... It's working now!
  29. zuglufttier There's a package for webp in FreeBSD. Then I ran into several python problems...
  30. zuglufttier Deleted my virtualenv again and again :D
  31. lovetox great
  32. zuglufttier It would be really great if someone could list all the packages from PyPI that are needed for gajim and OMEMO etc.
  33. lovetox pyasn1 nbxmpp protobuf cryptography pyopenssl qrcode pillow
  34. lovetox python-axolotl
  35. zuglufttier sqlite3 and qrcode are things I needed as well.
  36. lovetox qrcode is in that list
  37. lovetox and sqlite3 is usually provided by your python installation
  38. lovetox though could be that some distris have other python installations
  39. bot André proposed a new merge request for _gajim/master_ < https://dev.gajim.org/gajim/gajim/merge_requests/205 >: WIP: Port remote control to GDBus
  40. bot André updated a merge request for _gajim/master_ < https://dev.gajim.org/gajim/gajim/merge_requests/205 >: WIP: Port remote control to GDBus
  41. bot Philipp Hörist closed an issue in _gajim_ < https://dev.gajim.org/gajim/gajim/issues/8879 >: #8879: < Flatpak-Image for Flathub.org >
  42. debacle Just curious: Any plans for an alpha3 after one month?
  43. lovetox no i think we go right into beta
  44. lovetox then theres a feature freeze
  45. lovetox and if no serious bug reports come in we release
  46. debacle Even better! :~)
  47. lovetox i think we can do beta this weekend
  48. debacle Great!
  49. horstvogel lovetox: is based then on the last master? I think it is for realease😁 I have problem on Windows 👌👍 Great work
  50. lovetox thanks
  51. Maranda .
  52. Maranda hmm lovetox, could you please send me a private message on the muc I need to test something.
  53. Maranda wonders what is causing that...
  54. SaltyBones What is causing what?
  55. bot André closed a merge request for _gajim/master_ < https://dev.gajim.org/gajim/gajim/merge_requests/205 >: WIP: Port remote control to GDBus
  56. mimi89999 Where is Gajim menu on Ubuntu?
  57. vanitasvitae *dramatic zoom*
  58. mimi89999 ?
  59. mimi89999 vanitasvitae: Unity does not have a status bar, right?
  60. hannibal @mimi89999‎ https://dev.gajim.org/gajim/gajim/issues/8824
  61. mimi89999 No @ please
  62. hannibal mimi89999‎ https://dev.gajim.org/gajim/gajim/issues/8824
  63. Link Mauve “07:53:13 Asterix> We have to follow every update on pypi ?? This mean the flatpak is not valid during a long time !”, probably the same issue the Windows package has too.
  64. mimi89999 hannibal: It is an LTS version with Unity.
  65. mimi89999 You have a flatpack?
  66. Link Mauve Flatpak packages aren’t much different in that regard, except that the base ostree can get updated independently.
  67. mimi89999 I know...
  68. Link Mauve mimi89999, I don’t, Gajim has one.
  69. Link Mauve I haven’t tested it yet.
  70. bot André updated a merge request for _gajim/master_ < https://dev.gajim.org/gajim/gajim/merge_requests/201 >: Move help from menubar to appmenu
  71. mimi89999 27923 michel 20 0 1374712 233408 69120 R 91,0 2,9 1:36.47 g
  72. mimi89999 Gqji,)defqult)nightly
  73. mimi89999 gajim-default-nightly